Bug 1548947

Summary: [Docs][RFE][EPIC][Network][OVN] Document Open Virtual Network (OVN) for OpenStack use cases
Product: Red Hat OpenStack Reporter: Lucy Bopf <lbopf>
Component: documentationAssignee: Sandra McCann <samccann>
Status: CLOSED CURRENTRELEASE QA Contact: RHOS Documentation Team <rhos-docs>
Severity: high Docs Contact:
Priority: high    
Version: 13.0 (Queens)CC: dalvarez, majopela, samccann, srevivo
Target Milestone: gaKeywords: Documentation, FutureFeature, Triaged
Target Release: 13.0 (Queens)   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: docs-accepted
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-06-28 15:31:36 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1, 150352, 1433527, 1433532, 1433533, 1498162, 1503502, 1552441, 1562973    
Bug Blocks:    

Description Lucy Bopf 2018-02-26 05:24:27 UTC
User story: 
As an administrator, I want to deploy OpenStack neutron and take advantage of OVN performance and monitoring and troubleshooting tools to prepare myself for future developments.

Purpose of function: 
Provide default networking stack with OVN.

Documentation requirement:
Plan for an installation with OVN
Install or migrate to OVN
Administer and maintain an OVN setup
Migrate to OVN after an upgrade

Comment 2 Martin Lopes 2018-02-26 05:35:08 UTC
You can find the OVN docs for OSP12 here (tech preview):

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/12/html-single/networking_guide/#sec-ovn

Comment 3 Lucy Bopf 2018-03-23 07:19:32 UTC
Assigning (officially) to Sandra for review.

Sandra, the detail plan is complete, so the only thing we're missing in terms of a pre-work check is an estimate of how long you think the work will take. Can you take a look and add your estimated hours to this bug? I won't set a 'Target Milestone' until we have a better idea of which timeline this will fit into.